Help me find an XAMPP package with mySQL 5.7

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Help me find an XAMPP package with mySQL 5.7

Postby buchan » 02. November 2019 06:05

Hello,
I’ve been looking through all of the XAMPP for Windows packages in the Downloads area, and I cannot find one which includes MySQL 5.7 and PHP 5.6.
That MySQL version is critical to my project. :cry:

Can someone guide me to an XAMPP package with:
mySQL 5.7
PHP 5.6

Thanks in advance.
buchan
 
Posts: 3
Joined: 02. November 2019 05:56
XAMPP version: 5.6.8
Operating System: Win10

Re: Help me find an XAMPP package with mySQL 5.7

Postby Altrea » 02. November 2019 14:03

Simple answer: there is none.
XAMPP switched to MariaDB before ever touching Mysql 5.7.

The last versions containing Mysql 5.6.26 was XAMPP 5.5.28 and 5.6.12.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 9902
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Help me find an XAMPP package with mySQL 5.7

Postby buchan » 03. November 2019 06:18

Thank you for your quick reply.
Can I import a mySQL DB that functions on 5.6 into MariaDB?
Thanks in advance.
buchan
 
Posts: 3
Joined: 02. November 2019 05:56
XAMPP version: 5.6.8
Operating System: Win10

Re: Help me find an XAMPP package with mySQL 5.7

Postby Altrea » 03. November 2019 07:17

Yes you can.
We don't provide any support via personal channels like PM, email, Skype, TeamViewer!

It's like porn for programmers 8)
User avatar
Altrea
AF Moderator
 
Posts: 9902
Joined: 17. August 2009 13:05
XAMPP version: several
Operating System: Windows 10 Pro x64

Re: Help me find an XAMPP package with mySQL 5.7

Postby buchan » 05. November 2019 14:12

Thank you Altrea.

Since 2015, I've been running an online shop using the Cartweaver 4 shopping cart.

The environment that the cart runs under is:
PHP 5.4
MySQL 5.5
Apache 2.4.10.

The cart function I'm having a problem with is the product list page. Even though the page throws PHP warnings (and one fatal error), it still works:
https://www.2000cranes.com/productlist.php

I had no problems until I moved to a new, more secure server. When I did that, the cart stopped working.

The environment on the new server that the cart will not NOT work under is:
PHP5.6 (or over)
MySQL5.7
Apache 2.4.41.

I have tried a patch to the cart that changes all mysql extentions to mysqli, but that did not resolve the problem.
The cart devlopers claim that it would work with PHP7, but it does not. The page throws the same errors (one fatal),
and even setting PHP memory_limit to unlimited did not resolve the problem.
http://69.94.13.44/productlist.php

I would consult the Cartweaver 4 team, but they have all but abandoned their project and all of their customers who invested in this cart.
I could accept that the problem is in the PHP code, buy why would it work on the old environment but not on the new one?

There is SO MUCH AMAZING talent on this board. Is there anyone who could guide me to a solution to this problem? Willing to pay a PHP developer who can fix this.

Thank you in advance.
buchan
 
Posts: 3
Joined: 02. November 2019 05:56
XAMPP version: 5.6.8
Operating System: Win10


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 67 guests